import { Plugin } from '../plugin';
import { ScriptingManager } from './scripting-manager';
export declare class ScriptingPlugin extends Plugin {
    private _scriptingManager?;
    get scriptingManager(): ScriptingManager | undefined;
    protected init(): void;
    protected destroy(): void;
}
